> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Package Product

> ## Delete a Package Product ##

<p>
Deletes the given Package Product
</p>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json delete /{supplierapi}/package/{productPricesDetailId}/option/{optionId}/product/{packageProductId}
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/package/{productPricesDetailId}/option/{optionId}/product/{packageProductId}:
    delete:
      tags:
        - Packages
      summary: Delete a Package Product
      description: |-
        ## Delete a Package Product ##

        <p>
        Deletes the given Package Product
        </p>
      operationId: deletePackageProductAction
      parameters:
        - name: productPricesDetailId
          in: path
          description: The ID of the ProductPricesDetail
          required: true
          schema:
            type: integer
            pattern: \d+
        - name: optionId
          in: path
          description: The ID of the Package Option
          required: true
          schema:
            type: integer
            pattern: \d+
        - name: packageProductId
          in: path
          description: The ID of the Package Product
          required: true
          schema:
            type: integer
            pattern: \d+
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
      responses:
        '204':
          description: Returned when successful.
        '400':
          description: Returned when there is an issue with the data provided.
        '403':
          description: Returned when the user is not authorized.
        '404':
          description: Returned when the ProductPricesDetail or PackageOption is not found
        '500':
          description: Returned when fatal issues are encountered.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.